LZ210 - Bug #735

SIMID000/4Go0000¢0
12/20/2024 10:37 AM - [0

Status: Closed Start date: 12/20/2024
Priority: Immediate Due date:

Assignee: KuangdJie % Done: 0%
Category: S.W Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
00: LZ210 0g: Ubuntu
CPU: RK3562 gooo: v6.1.84
00: LCH3576 APPI[: -
go/oooooon: - gooo: 100%
poooooo: 01 gooo: N/S
go/oooooon: 01 poooo: YT8521SC
ooon: rk3562_lkd210_ubuntu22.04_12_13.img [EMMCIU : -
Description

History

#1 - 12/20/2024 10:38 AM - 00

- Subject changed from SIM to SIMI0001
- Category set to S.W

- Assignee set to KuangdJie

- Priority changed from Normal to High
-00 settoLZ210

- CPU set to RK3562

-00 setto LCH3576

-00A000000 setto -

-0000000 setto 01

-00A000000 setto 01

-0000 setto rk3562_Ikd210_ubuntu22.04_12_13.img
-00 setto Ubuntu

-0000 setto v6.1.84

-APPRID setto -

#2 - 12/20/2024 10:45 AM - 00

- File clipboard-202412201044-dawpd.png added
-0000 setto 100%

-0000 setto N/S

-00000 setto YT8521SC

aoooa

1llecho 142 > /sys/class/gpio/export

2llecho out > /sys/class/gpio/gpio142/direction
3llecho 1 > /sys/class/gpio/gpio142/value
allisusb #[04g0

5lecho -e "AT+CEREG?\n\n" > /dev/ttyUSB2 && cat /dev/ttyUsB2 #010siMO00000000+ok”

6lsudo quectel-cM & #0000/00
aoooa
neardi@RK3562:~% sudo -1

root@RK3562:~# Lsush

Bus 8082 Device 081: ID 1d6b:0063 Linux Foundation 3.8 root hub

Bus 801 Device 081: ID 1d6b:0062 Linux Foundation 2.8 root hub

Bus 804 Device 881: ID 1d6b:0061 Linux Foundation 1.1 root hub

Bus 003 Device 883: ID 2c7c:0125 Quectel Wireless Solutions Co., Ltd. EC25 LTE modem
Bus 8083 Device 881: ID 1d6b:0062 Linux Foundation 2.8 root hub

root@RK3562:~# echo -e "AT+CEREG?\r\n" = /dew/ttyUSB2 cat /dev/ttyUsB2

+CIND: 9,2,1,0,8,8,1,0

oK
~C
root@RK3562:~# sudo quectel-CM &
145428
root@RK3562:~# [12-20 B2:36:49:755] QConnectManager Linux V1.6.5
[12-28_02:36:49:756] Find /sys/bus/usb/devices/3-1 idvendor=0x2c7c idProduct=0x%125, bus=0x0803, dev=0x003
[12-20_02:36:49:756] network interface '' or gmidev '' 1is not exist
[12-20 _02:36:49:756] atdevice detect failec
[12-20_02:36:49:756] qmidevice detect failec

#3 - 12/24/2024 04:28 PM - 010
- Subject changed from SIMI0000 to SIMID000/4GI00000

- Priority changed from High to Immediate

#4 - 12/31/2024 02:09 PM - KuangJie
W192.168.1.250\01-Public\l 000 [\rk3562\rk3562_Ikd210_ubuntu22.04_12_29.img 100000

#5 - 01/03/2025 06:42 PM - 010
- File clipboard-202501031842-eoab4.png added

KuangdJie wrote in #note-4:

W192.168.1.250\01-Public\l 0 000\rk3562\rk3562_Ikd210_ubuntu22.04_12_29.img 000000

+CEREG: 0,1

0K
R
root@RK3562 :~# ~C
root@RK3562:~# sudo quectel-CM &
1255
root@RK3562:~# [01-03_10:41:19:949] QConnectManager_Linux_V1.6.2
[01-83_10:41:19:951] Find /5ys/bus/usb/devices/3-1 idvendor=ex2c7c idProduct=0x125, bus=0xe03, dev=0x002
[01-83_18:41:19:951] Auto find gmichannel = sdev/cdc-wdme
[01-03_10:41:19:951] Auto find usbnet_adapter = wwand
[01-83_18:41:19:952] netcard driver = gmi_wwan, driver version = 6.1.84
[P1-83 18:41:19:952] Modem works in QMI mode
[01-03_10:41:19:979] /proc/1247/fd/7 -> /dev/cdc-wdmd
[01-83_10:41:19:979] /proc/1247/exe -> Jusr/libexec/gmi-proxy
[01-93_10:41:21:981] cdc_wdm_fd = 7
[01-83_10:41:22:067] Get clientwDs
[P1-83_18:41:22:808] Get clientDMS
[01-03_10:41:22:131] Get clientNAS
[01-83_18:41:22:162] Get clientUIM
[01-83 10:41:22:194] Get clientWDA 1
[01-83_10:41:22:226] requestBaseBandVersion ECZE@CEFILGRE6A11IMIG
[01-83_18:41:22:355] requestGetSIMStatus SIMStatus: SIM READY
[01-03_10:41:22:387] requestGetProfile ///0/IPVAVE
[01-83_18:41:22:418] requestRegistrationState2z MCC: 4608, MNC: 8, PS: Attached, DataCap: LTE
[01-03_10:41:22:451] requestQuEryDataCall IPv4ConnectionStatus: DISCONWECTED
[01-83_10:41:22:452] ifconfig wwan® 8.0.0.0
[ 242.369446] [SKWIFI DBG] skw_ifa6_notifier: action: 1
[01-03_10:41:22:468] ifconfig wwand c
[ 242.384004] [SKWIFI DBG] skw_ifa6 notifier: action: 2
[01-83_10:41:22:547] requestSetupDataCall WdsConnectionIPva4Handle: ©x8722de@®
[01-03_10:41:22:675] ifconfig wwane up
[ 242.587176] [SKWIFI DBG] skw_ifaé notifier: action: 1
[01-83_10:41:22:691] busybox udhcpe -f -n -g -t 5 -i wwan@
udhecpe: started, v1.35.0
udhcpe: broadcasting discover
udhepe: broadcasting select for 10.62.2 31, server 10.62.247.3
udhcpe: lease of 10.62.247.31 obtained from 18.62.247.32, lease time 7268
[01-03_10:41:22:863] 1p -4 address flush dev wwand
LBI-BS_lB:dl:ZZ:BBB] ip -4 address add 10.62.247.31/26 dev wwan@
[ 242.791141] [SKWIFI DBG] skw_ifa4_notifier: action: 1
[01-03_10:41:22:889] ip -4 route add default via 10.62.247.32 dev wwan@
~C

root@RK3562:~# [

7
1
2
#6 - 01/03/2025 06:43 PM -0 0

- Status changed from New to Closed
